<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="VisualSapfor:jar" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="e42177c3-2328-4b27-8a01-35779b2beb99" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Common/Database/VisualiserDatabase.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/Common/Database/VisualiserDatabase.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Common/Passes/Pass.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/Common/Passes/Pass.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Common/Passes/SortPassesByStats.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/MainModule_/MainModule_.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/MainModule_/MainModule_.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Visual_DVM_2021/PassStats/PassStats.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/Visual_DVM_2021/PassStats/PassStats.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Visual_DVM_2021/PassStats/PassStatsDBTable.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/Visual_DVM_2021/PassStats/PassStatsDBTable.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Visual_DVM_2021/Passes/All/DropFastAccess.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/Visual_DVM_2021/Passes/All/DropFastAccess.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/_VisualDVM/Global.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/_VisualDVM/Global.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/_VisualDVM/GlobalData/GlobalDatabase.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/_VisualDVM/GlobalData/GlobalDatabase.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/_VisualDVM/MainModule.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/_VisualDVM/MainModule.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/_VisualDVM/Visual/Menus/FastAccessMenuBar/FastAccessMenuBar.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/_VisualDVM/Visual/Menus/FastAccessMenuBar/FastAccessMenuBar.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/_VisualDVM/Visual/Windows/CallbackForm.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/_VisualDVM/Visual/Windows/CallbackForm.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeInsightWorkspaceSettings">
    <option name="optimizeImportsOnTheFly" value="true" />
  </component>
  <component name="ErrorTreeViewConfiguration">
    <option name="autoscrollToSource" value="true" />
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="true" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="Visual_DVM_2020" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="FxmlFile" />
        <option value="Enum" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/src/Visual_DVM_2021/Passes/All/PublishGroup.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/src/Visual_DVM_2021/Passes/All/ConvertCorrectnessTests.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/src/Visual_DVM_2021/Passes/All/PublishTest.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/src/_VisualDVM/TestingSystem/Common/TestingServer.java" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="KotlinCodeInsightWorkspaceSettings">
    <option name="optimizeImportsOnTheFly" value="true" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="ProjectErrors" />
  </component>
  <component name="ProjectId" id="1UqWSAGBQQNofrCLxSPPtOZrGP7" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="GenerateAntBuildDialog.backupFiles" value="true" />
    <property name="GenerateAntBuildDialog.enableUiFormCompile" value="true" />
    <property name="GenerateAntBuildDialog.forceTargetJdk" value="true" />
    <property name="GenerateAntBuildDialog.outputFileNameProperty" value="visual_dvm_2020" />
    <property name="JavaClassFindUsagesOptions.isDerivedClasses" value="true" />
    <property name="JavaClassFindUsagesOptions.isFieldsUsages" value="true" />
    <property name="JavaClassFindUsagesOptions.isMethodsUsages" value="true" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="TODO_SCOPE" value="All Places" />
    <property name="UI_DESIGNER_EDITOR_MODE.PaletteManager.SHOW" value="true" />
    <property name="UI_DESIGNER_EDITOR_MODE.PaletteManager.WIDTH" value="282" />
    <property name="UI_DESIGNER_EDITOR_MODE.UIDesignerToolWindowManager.SHOW" value="true" />
    <property name="UI_DESIGNER_EDITOR_MODE.UIDesignerToolWindowManager.WIDTH" value="509" />
    <property name="extract.method.default.visibility" value="public" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/src/Common/icons" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="run.code.analysis.last.selected.profile" value="pProject Default" />
    <property name="settings.editor.selected.configurable" value="reference.settings.project.statistic.project.settings" />
  </component>
  <component name="RecentsManager">
    <key name="CreateClassDialog.RecentsKey">
      <recent name="ProjectData.Project.UI" />
      <recent name="controls.Trees" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\misha\Documents\visual_sapfor_2023\src\Common\icons" />
      <recent name="C:\Users\misha\Documents\visual_sapfor_2023\src\icons" />
      <recent name="C:\Users\misha\Documents\visual_sapfor_2023\src\icons\Transformations" />
      <recent name="C:\Users\misha\Documents\visual_sapfor_2023\src\icons\versions" />
      <recent name="C:\Users\misha\Documents\visual_sapfor_2023\src\files" />
    </key>
    <key name="MoveMembersDialog.RECENTS_KEY">
      <recent name="Common.Visual.CommonUI" />
      <recent name="CommomUI" />
      <recent name="_VisualDVM.Global" />
      <recent name="Common.CurrentAnchestor" />
      <recent name="Common.Utils.CommonUtils" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\misha\Documents\visual_sapfor_2023\src\_VisualDVM\Visual\Main" />
      <recent name="C:\Users\misha\Documents\visual_sapfor_2023\src\Common\icons" />
      <recent name="C:\Users\misha\Documents\visual_sapfor_2023\src\_VisualDVM\Visual\Syntax" />
      <recent name="C:\Users\misha\Documents\visual_sapfor_2023\src\_VisualDVM\Windows" />
      <recent name="C:\Users\misha\Documents\visual_sapfor_2023\src\icons" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="_VisualDVM.Visual.Windows" />
      <recent name="Visual_DVM_2021.Passes.UI" />
      <recent name="Visual_DVM_2021.Passes" />
      <recent name="Common.UI.Menus" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="Visual_DVM_2021.Passes" />
      <recent name="Visual_DVM_2021.Passes.All" />
      <recent name="Visual_DVM_2021.Passes.UI" />
      <recent name="Visual_DVM_2021.Project_2021" />
      <recent name="JAnalyzer" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="Program" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="Program" />
      <module name="Visual_DVM_2020" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Program" />
      </list>
    </recent_temporary>
  </component>
  <component name="ServiceViewManager">
    <option name="viewStates">
      <list>
        <serviceView>
          <treeState>
            <expand />
            <select />
          </treeState>
        </serviceView>
      </list>
    </option>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="project-level" UseSingleDictionary="true" transferred="true" />
  <component name="StructureViewFactory">
    <option name="ACTIVE_ACTIONS" value=",SHOW_PROPERTIES" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e42177c3-2328-4b27-8a01-35779b2beb99" name="Default Changelist" comment="" />
      <created>1576084603045</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1576084603045</updated>
    </task>
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
    <ignored-roots>
      <path value="$PROJECT_DIR$/Sapfors/visualizer" />
      <path value="$PROJECT_DIR$/Visual_TK" />
    </ignored-roots>
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/Visual_DVM_2020$Program.ic" NAME="Program Coverage Results" MODIFIED="1581344902341" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
  </component>
</project>